Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155500 - Crazy behaviour for a CD boot
Summary: Crazy behaviour for a CD boot
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 21:27 UTC by antonio montagnani
Modified: 2008-02-08 03:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 03:21:30 UTC


Attachments (Terms of Use)

Description antonio montagnani 2005-04-20 21:27:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
Booting off a CD with sytem installed on USB disk.(My USB ports are not boot ready)
Kernel 2.6.9-1.667 works fine from Grub installed on the CD
Kernel 2.6.11-1.14_FC3 gives a kernel panic: same instructions from grub.conf but given manually at grub> boots system flawlessy.
Init file is:
>!/bin/nash
>> 
>> mount -t proc /proc /proc
>> setquiet
>> echo Mounted /proc filesystem
>> echo Mounting sysfs
>> mount -t sysfs none /sys
>> echo Creating /dev
>> mount -o mode=0755 -t tmpfs none /dev
>> mknod /dev/console c 5 1
>> mknod /dev/null c 1 3
>> mknod /dev/zero c 1 5
>> mkdir /dev/pts
>> mkdir /dev/shm
>> echo Starting udev
>> /sbin/udevstart
>> echo -n "/sbin/hotplug" > /proc/sys/kernel/hotplug
>> echo "Loading ehci-hcd.ko module"
>> insmod /lib/ehci-hcd.ko 
>> echo "Loading scsi_mod.ko module"
>> insmod /lib/scsi_mod.ko 
>> echo "Loading usb-storage.ko module"
>> insmod /lib/usb-storage.ko 
>> sleep 5
>> echo "Loading sd_mod.ko module"
>> insmod /lib/sd_mod.ko 
>> echo "Loading jbd.ko module"
>> insmod /lib/jbd.ko 
>> echo "Loading ext3.ko module"
>> insmod /lib/ext3.ko 
>> /sbin/udevstart
>> echo Creating root device
>> mkrootdev /dev/root

##############################################

>> umount /sys
>> echo Mounting root filesystem
>> mount -o defaults --ro -t ext3 /dev/root /sysroot
>> mount -t tmpfs --bind /dev /sysroot/dev
>> echo Switching to new root
>> switchroot /sysroot
>> umount /initrd/dev

###################################################

Version-Release number of selected component (if applicable):
grub-0.95-3

How reproducible:
Always

Steps to Reproduce:
1.Prepare a boot CD 
2.Install FC3 on a USB disk
3.Boot from a CD
  

Actual Results:  Machine freezes with a kernel panic

Expected Results:  Boot

Additional info:

Comment 1 Matthew Miller 2006-07-10 20:49:35 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-08 03:21:30 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.